package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IRepresentationMeta;

public class DefaultRepresentationMeta extends MetaRepresentationImpl implements IRepresentationMeta
{
	private final Class mImplementation;
	
	public DefaultRepresentationMeta(Class aRepresentationClass)
	{	super(generateName(aRepresentationClass),"auto-generated",null,null);
		mImplementation=aRepresentationClass;
	}
	
	private static String generateName(Class aImplementation)
	{	String name=aImplementation.getName();
		int i=name.lastIndexOf('.');
		if (i>0)
		{	name=name.substring(i+1);
		}
		return name;
	}
	
	public Class getImplementation()
	{	return mImplementation;
	}
}