package org.netkernel.layer0.util;

import org.netkernel.layer0.nkf.INKFAsyncRequestListener;
import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.nkf.NKFException;

public class AsyncResponseHandler implements INKFAsyncRequestListener
{
	INKFResponseReadOnly[] mDependencies;
	
	public AsyncResponseHandler()
	{	mDependencies=null;
	}
	
	public AsyncResponseHandler(INKFResponseReadOnly[] aDependencies)
	{	mDependencies=aDependencies;
	}
	
	@Override
	public void receiveResponse(INKFResponseReadOnly aResponse,
			INKFRequestContext aContext) throws Exception
	{	aContext.createResponseFrom(aResponse);
		for (int i = 0; i < mDependencies.length; i++)
		{	aContext.getKernelContext().declareDependency(mDependencies[i]);
		}
	}

	@Override
	public void receiveException(NKFException aException,
			INKFRequest aRequest, INKFRequestContext aContext)
			throws Exception
	{	aContext.createResponseFrom(aException);
	}
}
